import java.awt.Graphics;

import javax.swing.JPanel;

public class AnimationMort {
	
	int x,y;
	static long t1,cooldown=100;
	
	public AnimationMort(int x, int y){
		this.x = x;
		this.y=y;
		
			
	}
	
	// Dessine une image puis une autre pour créer une animation plus longue qu'un tick
	public void dessine(Graphics g, JPanel jf){
		
		
		if(System.currentTimeMillis() - t1 <cooldown){
			g.drawImage(Liste.disparition1, (int) (x - Fenetre.camera.getxOffset()) , (int) (y - Fenetre.camera.getyOffset()),50,50, jf); 
		
		}
		if(System.currentTimeMillis() -t1 <cooldown*3 && System.currentTimeMillis() - t1 >cooldown ){
			g.drawImage(Liste.disparition2,(int) (x - Fenetre.camera.getxOffset()) , (int) (y - Fenetre.camera.getyOffset()),50,50, jf); 
		
		}
		
		
	}
	
	

}
